Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Interface RemoteMBeanServer

All Superinterfaces:
  MBeanServer, MBeanServerConnection, Remote

Deprecated.

    public interface RemoteMBeanServer

extends MBeanServer, Remote

Contains methods for instantiating, registering, and deleting MBeans from a remote JVM. WebLogic Server provides this interface to support standard JMX interaction with MBeans on server instances from remote JVMs.

WebLogic Server provides another interface for interacting with MBeans, `MBeanHome`, but `MBeanHome` is not a standard JMX interface. Any code that uses `MBeanHome` might not function in other J2EE application servers.

To look up this `RemoteMBeanServer` interface, use `MBeanHome`.

Since:
  6.1.0.0

Field Summary
`static String` | `JNDI_NAME` Deprecated. The JNDI name for this interface.

Method Summary
`MBeanHome` | `getMBeanHome()` Deprecated. Returns the local `MBeanHome` interface.

Methods inherited from interface javax.management.MBeanServer
`addNotificationListener, addNotificationListener, createMBean, createMBean, createMBean, createMBean, deserialize, deserialize, deserialize, getAttribute, getAttributes, getClassLoader, getClassLoaderFor, getClassLoaderRepository, getDefaultDomain, getDomains, getMBeanCount, getMBeanInfo, getObjectInstance, instantiate, instantiate, instantiate, instantiate, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, registerMBean, removeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, setAttribute, setAttributes, unregisterMBean`

Field Detail

### JNDI_NAME

    static final String JNDI_NAME

  Deprecated.
  The JNDI name for this interface.

  See Also:
    Constant Field Values

Method Detail

### getMBeanHome

    MBeanHome getMBeanHome()
                           throws RemoteException

  Deprecated.
  Returns the local `MBeanHome` interface. You can use the `MBeanHome` interface to look up the Local Configuration MBeans and Runtime MBeans that are registered on the current server instance. You can also use `MBeanHome` to retrieve strongly typed stubs for the MBeans on the current server instance.

  Returns:
    The MBeanHome interface
  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD